<!-- begin::Header -->
<div class="shadow-sm">

  <div class="card-header border-0 pt-5">
      <h3 class="card-title align-items-start flex-column">
        <span class="card-label fw-bolder fs-3 mb-1 text-card">Data Transformations</span>
        <hr class="mt-6 mb-6 bg-primary border-2 border-top border-secondary">
      </h3>
  
    </div>
    <!-- end::Header -->
    <!-- begin::Body -->
    <div class="card-body py-3 special-body">
      <!-- begin::Table container -->
      <div *ngIf="this.data.length !== 0" class="table-responsive">
        <!-- begin::Table -->
        <table
          class="table table-row-bordered table-row-gray-100 align-middle gs-0 gy-3"
        >
          <!-- begin::Table head -->
          <thead>
            <tr class="fw-bolder text-muted">
              <th class="min-w-150px">Name</th>
              <th class="min-w-140px">Type</th>
              <th class="min-w-120px">Class</th>
              <th class="min-w-120px">Version</th>
              <th class="min-w-120px">Status</th>
  
              <th style="padding-left: 3.5%" class="min-w-120px">Actions</th>
            </tr>
          </thead>
          <!-- end::Table head -->
          <!-- begin::Table body -->
          <tbody>
            <tr *ngFor="let row of data">
                
              <td>
                <a  class="text-dark fw-bolder text-hover-primary fs-6">
                  {{row.name}}
                </a>
              </td>
              <td>
                <a
                  class="text-dark fw-bolder text-hover-primary d-block mb-1 fs-6"
                >
                {{row.type}}
                </a>
              </td>
              <td>
                <a
                  
                  class="text-dark fw-bolder text-hover-primary d-block mb-1 fs-6"
                >
                {{row.class}}
                </a>
  
              </td>
              <td>
                <a
                  
                  class="text-dark fw-bolder text-hover-primary d-block mb-1 fs-6"
                >
                {{row.manifest_version}}
                </a>
  
              </td>
              <td *ngIf="row.enabled">
                <span class="badge badge-light-primary fs-7 fw-bold">Enabled</span>
              </td>
              <td *ngIf="!row.enabled">
                <span class="badge badge-light-danger fs-7 fw-bold">Disabled</span>  
              </td>
              <td>
                <a *ngIf="row.enabled"
                  (click)="openDeactivateModal(deactivate_modal_content, row)"
                  class="
                    btn btn-icon btn-bg-light btn-active-color-primary btn-sm
                    me-1
                  "
                >
                <span
                [inlineSVG]="'./assets/media/icons/duotune/general/gen019.svg'"
                class="svg-icon svg-icon-3"
              ></span>
              </a>
                <a *ngIf="!row.enabled"
                (click)="openActivateModal(activate_modal_content, row)"
                class="
                  btn btn-icon btn-bg-light btn-active-color-primary btn-sm
                  me-1
                "
                >
                  <span
                    [inlineSVG]="'./assets/media/icons/duotune/general/gen019.svg'"
                    class="svg-icon svg-icon-3"
                  ></span>
                </a>
                <a
                  (click)="openDeleteModal(edit_modal_content, row)"
                  class="
                    btn btn-icon btn-bg-light btn-active-color-primary btn-sm
                    me-1
                  "
                >
                  <span
                    [inlineSVG]="'./assets/media/icons/duotune/art/art005.svg'"
                    class="svg-icon svg-icon-3"
                  ></span>
                </a>
                <a
                  (click)="openDeleteModal(delete_modal_content, row)"
                  class="btn btn-icon btn-bg-light btn-active-color-primary btn-sm"
                >
                  <span
                    [inlineSVG]="'./assets/media/icons/duotune/general/gen027.svg'"
                    class="svg-icon svg-icon-3"
                  ></span>
                </a>
              </td>
            </tr>
            
          </tbody>
          <!-- end::Table body -->
        </table>
        <!-- end::Table -->
      </div>
      <div>

      </div>
      <div  *ngIf="this.data.length === 0" class="d-flex justify-content-around">
        <b>There are no Data transformations created yet! </b>
      </div>


      <!-- end::Table container -->
    </div>
  
    <div class="card-footer text-end">
      <a (click)="openCreateDatasetModal(create_modal_content)" class="btn btn-primary mb-3 mt-3">
          <span
            [inlineSVG]="'./assets/media/icons/duotune/arrows/arr075.svg'"
            class="svg-icon svg-icon-3"
          ></span>
          Create
        </a>
  </div>
  </div>
    <!-- begin::Body -->
  
  <!-- The following sections are hidden by default, only appear if buttons are pressed -->
  
  
      <!-- CREATE DATA MODAL START -->
      <ng-template #create_modal_content let-modal>
          <div class="modal-header">
              <h4 class="modal-title" id="modal-title">Data Transformation creation</h4>
              <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
              <span aria-hidden="true">&times;</span>
              </button>
          </div>
          <div class="modal-body">
              <p><strong>Please fill the form with the new dataset information</strong></p>
              <hr class="mt-6 mb-6 bg-primary border-1 border-top border-primary">
  
              <div class="mb-10">
                  <label for="exampleFormControlInput1" class="required form-label">Name</label>
                  <input value=""type="text" class="form-control form-control-solid" placeholder=""/>
              </div>
              <div class="mb-10">
                  <label for="exampleFormControlInput1" class="required form-label">Type</label>
                  <input value=""type="text" class="form-control form-control-solid" placeholder=""/>
              </div>
              <div class="mb-10">
                  <label for="exampleFormControlInput1" class="required form-label">Class</label>
                  <input value=""type="text" class="form-control form-control-solid" placeholder=""/>
              </div>
              <div class="mb-10">
                  <label for="exampleFormControlInput1" class="required form-label">Version</label>
                  <input value=""type="text" class="form-control form-control-solid" placeholder=""/>
              </div>
           
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-secondary" (click)="modal.dismiss('cancel click')">Cancel</button>
              <button type="button" class="btn btn-primary" (click)="modal.close('confirm creation')">Create</button>
          </div>
      </ng-template>
      <!-- CREATE DATA MODAL END -->
  
      <!-- DELETE DATA MODAL START -->
      <ng-template #delete_modal_content let-modal>
          <div class="modal-header">
              <h4 class="modal-title" id="modal-title">Data transformation deletion</h4>
              <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
              <span aria-hidden="true">&times;</span>
              </button>
          </div>
          <div class="modal-body">
              <p><strong>Are you sure you want to delete <span class="text-primary">{{this.selectedDataset.name}}</span> transformed dataset?</strong></p>
              <p>All information associated to this data transform will be permanently deleted.
              <span class="text-danger">This operation can not be undone.</span>
              </p>
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-secondary" (click)="modal.dismiss('cancel click')">Cancel</button>
              <button type="button" class="btn btn-danger" (click)="modal.close('confirm delete')">Delete</button>
          </div>
      </ng-template>
      <!-- DELETE DATA MODAL END -->
  
  
  
      <!-- EDIT DATA MODAL START -->
      <ng-template #edit_modal_content let-modal>
          <div class="modal-header">
              <h4 class="modal-title" id="modal-title">Data edition</h4>
              <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
              <span aria-hidden="true">&times;</span>
              </button>
          </div>
          <div class="modal-body">
              <p><strong>Please fill the form with the new dataset information</strong></p>
              <hr class="mt-6 mb-6 bg-primary border-1 border-top border-primary">
  
              <div class="mb-10">
                  <label for="exampleFormControlInput1" class="required form-label">Name</label>
                  <input [value]="this.selectedDataset.name" type="text" class="form-control form-control-solid"/>
              </div>
              <div class="mb-10">
                  <label for="exampleFormControlInput1" class="required form-label">Type</label>
                  <input [value]="this.selectedDataset.type" type="text" class="form-control form-control-solid" placeholder="Input a valid value"/>
              </div>
              <div class="mb-10">
                  <label for="exampleFormControlInput1" class="required form-label">Class</label>
                  <input [value]="this.selectedDataset.class" type="text" class="form-control form-control-solid" placeholder="Input a valid value"/>
              </div>
              <div class="mb-10">
                  <label for="exampleFormControlInput1" class="required form-label">Version</label>
                  <input [value]="this.selectedDataset.manifest_version" type="text" class="form-control form-control-solid" placeholder="Input a valid value"/>
              </div>
           
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-secondary" (click)="modal.dismiss('cancel click')">Cancel</button>
              <button type="button" class="btn btn-primary" (click)="modal.close('confirm edit')">Edit</button>
          </div>
      </ng-template>
      <!-- EDIT DATA MODAL END -->
  
      <!-- DEACTIVATE DATA MODAL START -->
      <ng-template #deactivate_modal_content let-modal>
          <div class="modal-header">
              <h4 class="modal-title" id="modal-title">Data transform deactivation</h4>
              <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
              <span aria-hidden="true">&times;</span>
              </button>
          </div>
          <div class="modal-body">
              <p><strong>Are you sure you want to deactivate <span class="text-primary">{{this.selectedDataset.name}}</span> transformed dataset?</strong></p>
          </div>
          <div class="modal-footer">
              <button type="button" class="btn btn-secondary" (click)="modal.dismiss('cancel click')">Cancel</button>
              <button type="button" class="btn btn-danger" (click)="modal.close('confirm deactivate')">Deactivate</button>
          </div>
      </ng-template>
      <!-- DEACTIVATE DATA MODAL END -->
  
          <!-- ACTIVATE DATA MODAL START -->
          <ng-template #activate_modal_content let-modal>
            <div class="modal-header">
                <h4 class="modal-title" id="modal-title">Data transform activation</h4>
                <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <p><strong>Are you sure you want to activate <span class="text-primary">{{this.selectedDataset.name}}</span> transformed dataset?</strong></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" (click)="modal.dismiss('cancel click')">Cancel</button>
                <button type="button" class="btn btn-primary" (click)="modal.close('confirm activate')">Activate</button>
            </div>
        </ng-template>
        <!-- ACTIVATE DATA MODAL END -->